(*        GREATIS DELPHI PAGES         *)
(* Copyright (C) 2001 Greatis Software *)
(*  web: http://www.greatisdelphi.com  *)
(*     e-mail: delphi@greatis.com      *)

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

  MyBitmap: TBitmap;
  StartBtn: THandle;
  Old: Integer;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  MyBitmap:=TBitmap.Create;
  MyBitmap.LoadFromFile('bmp1.bmp');
  StartBtn:=FindWindowEx(
    FindWindow('Shell_TrayWnd',nil),
    0,
    'Button',
    nil);
  Old:=SendMessage(
    StartBtn,
    BM_SetImage,
    0,
    MyBitmap.Handle);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  SendMessage(
    StartBtn,
    BM_SetImage,
    0,
    Old);
    MyBitmap.Free;
end;

end.
